PETSc version 3.15.5
Fix/Edit manual page

# DMShellSetCreateDomainDecompositionScatters

Set the routine used to create the scatter contexts for domain decomposition with a shell DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateDomainDecompositionScatters(DM dm, PetscErrorCode (*scatter)(DM,PetscInt,DM*,VecScatter**,VecScatter**,VecScatter**))

Logically Collective on dm

Input Arguments

| dm | - the shell DM
| scatter | - the routine to create the scatters

### See Also

DMCreateDomainDecompositionScatters(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages